#include<iostream>

using namespace std;

int main()
{
    long n,k,o,b=0;
    long niz[2000000],niz1[2000000];
    cin>>n>>k;
       for(long u=0;u<=2*n;u++)
    {
    niz[u]=0;
    }
    for(long i=0;i<n;i++)
    {
        cin>>o;
        niz[o+n]++;
    }
       for(long j=0;j<=2*n;j++)
    {
     if(niz[j]>=k)
     {
         
         niz[b]=j-n;
         b++;
     }
    }
    cout<<b;
    for(long p=0;p<b;p++)
    {
        cout<<niz[b];
    }
}